﻿@page
@using Core.Enums
@model IndexModel
@{
    ViewData["Title"] = "Home page";
}

<div class="text-center">
    <h1 class="display-4">Smart proxy</h1>
</div>

<h3>Registered instances</h3>
<table class="table table-striped">

    <thead>
        <tr>
            <th>Instance Type</th>
            <th>Instance</th>
            <th>Link</th>
            <th>Status</th>
            <th>Max requests per minute</th>
            <th>Load</th>
            <th>Total requests</th>
        </tr>
    </thead>
    <tbody>
        @if (Model.Instances.Any())
        {
            @foreach (var instance in Model.Instances)
            {
                <tr>
                    <td>@instance.InstanceType</td>
                    <td>@instance.InstanceUrl</td>
                    <td>
                        <a href="@instance.InstanceUrl">@instance.InstanceUrl</a>
                    </td>
                    <td>
                        @if (instance.Status == InstanceStatus.Up)
                        {
                            <span class="badge badge-success">Up</span>
                        }
                        else
                        {
                            <span class="badge badge-danger">Down</span>
                        }
                    </td>
                    <td>
                        @instance.MaxRequestsPerMinute requests/min
                    </td>
                    <td>
                        @{
                            var load = instance.LoadPercentage;
                        }
                        <div class="progress">
                            <div class="progress-bar" role="progressbar" style="width: @(load)%;" aria-valuenow="@(load)" aria-valuemin="0" aria-valuemax="100">
                                <span style="color: black;">@(load)%</span>
                            </div>
                        </div>
                    </td>
                    <td>@instance.RequestCount</td>
                </tr>
            }
        }
        else
        {
            <tr>
                <td colspan="7">
                    No registered instances
                </td>
            </tr>
        }
    </tbody>
</table>


@section Scripts{
    <script>
        setTimeout(() => {
            location.reload();
        }, 6 * 1000)
    </script>
}